scim::Signal2< void, P1, P2, IgnoreMarshal > Class Template Reference
SignalSlot

`#include <scim_signals.h>`

## Public Types

typedef Slot2< void, P1, P2 > | SlotType

## Public Member Functions

Connection | connect (SlotType *slot)
SlotType * | slot ()
void | emit (P1 p1, P2 p2)
void | operator() (P1 p1, P2 p2)
Public Member Functions inherited from scim::Signal
| Signal ()
| Constructor.
virtual | ~Signal ()
| Destructor.
SlotNode * | connect (Slot *slot)
| Creates a new SlotNode for slot and adds it to the connection_list.

## Additional Inherited Members

Protected Types inherited from scim::Signal
typedef std::vector< Pointer< SlotNode > > | ConnectionList
| ConnectionList type.
Protected Attributes inherited from scim::Signal
ConnectionList | connection_list
| A list of all the slots connected to the signal.

## Member Typedef Documentation

## SlotType

template<typename P1, typename P2, typename IgnoreMarshal>

typedef Slot2<void, P1, P2> scim::Signal2< void, P1, P2, IgnoreMarshal >::SlotType

## Member Function Documentation

## connect()

template<typename P1, typename P2, typename IgnoreMarshal>

Connection scim::Signal2< void, P1, P2, IgnoreMarshal >::connect | ( | SlotType * | slot | ) |

inline

References scim::Signal::connect(), and slot().

## slot()

template<typename P1, typename P2, typename IgnoreMarshal>

SlotType * scim::Signal2< void, P1, P2, IgnoreMarshal >::slot | ( |  | ) |

inline

Referenced by connect(), and emit().

## emit()

template<typename P1, typename P2, typename IgnoreMarshal>

void scim::Signal2< void, P1, P2, IgnoreMarshal >::emit | ( | P1 | p1,
|  | P2 | p2 )

inline

References scim::Signal::connection_list, and slot().

## operator()()

template<typename P1, typename P2, typename IgnoreMarshal>

void scim::Signal2< void, P1, P2, IgnoreMarshal >::operator() | ( | P1 | p1,
|  | P2 | p2 )

inline

References scim::Signal2< R, P1, P2, Marshal >::emit().

The documentation for this class was generated from the following file:

- scim_signals.h